import serial
import array
import time
import struct

timeStampPositive = -1000000
xOld = 0

ser = serial.Serial(4, 115200, timeout = 1) #COM-Nummer minus 1
ser.write(array.array('B', [0xFF, 0x07, 0x03, 0x00, 0x00, 0x00, 0x00]).tobytes())
ser.read(3)
for i in range(500):
    ser.write(array.array('B', [0xFF, 0x08, 0x07, 0x00, 0x00, 0x00, 0x00]).tobytes())
    accel = ser.read(7)
    if len(accel) == 7 and accel[3] == 1:
        z = struct.unpack('bbb', accel[4:7])
        #print z
        #print math.sqrt(z[0]**2+z[1]**2+z[2]**2)
        x = z[0]
        y = z[1]
        if x > 20 and xOld <= 20:
            print("x")
            timeStampPositive = time.perf_counter()
        elif y < -20 and time.perf_counter() - timeStampPositive < 1.0:
            timeStampPositive = -1000000      
            print("Erkannt!")
        xOld = x
    time.sleep(0.03)
    print(".")
ser.write(array.array('B', [0xFF, 0x09, 0x03, 0x00, 0x00, 0x00, 0x00]).tobytes())
ser.close()